// Variables
@import 'variables';

// Functions
@import 'functions';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

/*
.navbar-laravel {
  background-color: tint($primario, 33%);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}
*/

table {
  .table-truncate {
    width: 150px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: .2rem .4rem;

    /*&:hover{
      overflow: visible;
      background-color: $info;
      border-radius: .2rem;
      white-space: normal;
      text-overflow: unset;
      position: absolute;
      z-index: 10000;
      transition: all .2s ease;
    }*/
  }
  
}

form {

  .required label::before {
    content: "*";
    color: $danger;
  }
}

.sidebar {
  position: fixed;
  left: 0;
  z-index: 100;
  padding: 0;
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
  overflow: scroll;

  .nav-link.active, .show > .nav-link,
  .active > .nav-link,
  .nav-link.show,
  .nav-link.active {
    color: $navbar-light-active-color;
  }

  .nav-link:hover .feather, .nav-link.active .feather {
    color: inherit;
  }

  .sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
  }

}


.link-unstyled, .link-unstyled:link, .link-unstyled:hover {
  color: inherit;
  text-decoration: inherit;
}


.visible-cliente {
  background: repeating-linear-gradient(
    45deg,
    rgba(235, 221, 30, 0.15),
    rgba(235, 221, 30, .15) 10px,
    rgba(199, 80, 44, .15) 10px,
    rgba(199, 80, 44, .15) 20px
  );
  border-radius: 1rem;
  padding: 1rem 0;
  margin: .5rem 0;
}

.filtro-columna {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.table-responsive {
  min-height: 20rem;
}

.input-clear {
  position: absolute;
  right: .6rem;
  top: .6em;
}

.bigger-text {
  font-size: 110%;
}

.bg-cliente {
  background-color: mix($success, $white, 10%);
}